Bug 1686493 - [RFE] Hammer CLI for Foreman should support rebuilding hostgroup configs
Summary: [RFE] Hammer CLI for Foreman should support rebuilding hostgroup configs
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Hammer
Version: 6.4.2
Hardware: x86_64
OS: Linux
unspecified
medium vote
Target Milestone: 6.6.0
Assignee: satellite6-bugs
QA Contact: vijsingh
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-03-07 14:56 UTC by Suraj Patil
Modified: 2019-10-22 13:32 UTC (History)
9 users (show)

Fixed In Version: tfm-rubygem-hammer_cli_foreman-0.17.0-0
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-10-22 13:30:45 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Foreman Issue Tracker 26129 0 Normal Closed Hammer CLI for Foreman should support rebuilding hostgroup configs 2020-12-10 14:31:52 UTC
Red Hat Product Errata RHBA-2019:3175 0 None None None 2019-10-22 13:32:42 UTC

Description Suraj Patil 2019-03-07 14:56:36 UTC
Description of problem:

The hostgroup subcommands lack rebuild-config similar to what's present for hosts.

Version-Release number of selected component (if applicable):
Satellite 6.4

This issue is fixed in upstream - https://github.com/theforeman/hammer-cli-foreman/pull/411

Customer need this feature in satellite 6.4.z

Comment 3 Bryan Kearney 2019-03-07 15:07:04 UTC
Moving this bug to POST for triage into Satellite 6 since the upstream issue https://projects.theforeman.org/issues/26129 has been resolved.

Comment 6 vijsingh 2019-06-17 12:45:34 UTC
ON_QA Verified

@Satellite 6.6.0 snap 7.0

Comment 12 errata-xmlrpc 2019-10-22 13:30:45 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2019:3175


Note You need to log in before you can comment on or make changes to this bug.